Name:           kmscon
Version:        8
Release:        2%{?dist}
Summary:        KMS/DRM based System Console

License:        MIT
URL:            http://www.freedesktop.org/wiki/Software/kmscon/
Source0:        http://freedesktop.org/software/kmscon/releases/kmscon-%{version}.tar.xz

BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libtsm)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(libsystemd-login)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  libxslt

BuildRequires: systemd-units
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
Kmscon is a simple terminal emulator based on linux kernel mode setting (KMS).
It is an attempt to replace the in-kernel VT implementation with a userspace
console. See kmscon(1) man-page for usage information.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Install systemd services
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
for s in kmscon.service  kmsconvt@.service ; do
  install -pm 0644 docs/${s} $RPM_BUILD_ROOT%{_unitdir}
done


%check
make check


%post
%systemd_post kmscon.service
%systemd_post kmsconvt@.service

%preun
%systemd_preun kmscon.service
%systemd_preun kmsconvt@.service

%postun
%systemd_postun_with_restart kmscon.service
%systemd_postun_with_restart kmsconvt@.service


%files
%doc COPYING NEWS README
%{_bindir}/kmscon
%{_unitdir}/*.service
%dir %{_libdir}/kmscon
%{_libdir}/kmscon/mod-*.so


%changelog
* Thu Feb 27 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-2
- Update to libxslt libgbm

* Thu Feb 27 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-1
- Initial spec file
